MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006882ardourbugspublic2016-05-21 08:472017-09-26 00:27
Reportercyril 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusfeedbackResolutionopen 
PlatformUbuntu Studio 16.04 Xenial XerusOSLinuxOS VersionMaverick
Product Version 
Target VersionFixed in Version 
Summary0006882: Midi note continue playing
DescriptionWith the latest official ardour's update through apt-get update/upgrade a bug appears making MIDI note continue while playing is stopped.
I didn't notice this behaviour before.
Nevermind if start then stop, MIDI note still continue.
Mute the related track stop the sound.
Re-starting Ardour clears the sound and allows continue composing music.
But it is not comfortable.
Steps To Reproduce- play multiples MIDI and Audio tracks
- while playing (and maybe just when a new MIDI note start but before the end of the current measure) move the time cursor back
- if you stop playing you should hear the MIDI notes playing
- could concerns multiples MIDI tracks simultaneously
TagsMidi, notes, stop, transport
Attached Fileszip file icon Audio MIDI basic setup 2016 tests (no audio).zip [^] (21,337 bytes) 2016-06-07 09:01

- Relationships

-  Notes
(0018237)
Some-E (reporter)
2016-06-07 08:41

I have faced the same problem since the first time I tried Ardour (v3.?). The problem hasn't gone away. I have confirmed this with 4.6 (distributed with Ubuntu Studio 16, also completely removed and reinstalled) and 4.7 (demo). Working with MIDI is impossible.

Today I used MIDI Tracer to see what is going on with the MIDI output from my MIDI track. MIDI Tracer confirms what I hear: no note off's (nothing) is sent at STOP. Notes that were on, stay on.
I also confirm that track MUTE does send note off's (for the notes playing) and sustain pedal off for all MIDI channels, but that may not work 100% when toggling MUTE on/off, some notes are stuck on, sometimes.

I have no understanding why even Panic button does not help turning all notes off. I have heard it turning some of them off.
(0018238)
Some-E (reporter)
2016-06-07 09:04

I uploaded my session with just one MIDI chord. Start playing and press STOP during the chord. I have verified this on hardware MIDI synths, I haven't used software synths at all.

My computer: Ubuntu Studio 16, Intel Core 2 Duo (2.0 GHz, performance governor - though ondemand does exactly the same). USB MIDI adapter. MIDI plays out fine and in tight timing (no noticeable jitter). MIDI plays fine with audio track as well.
(0018244)
Some-E (reporter)
2016-06-08 23:57

Note: I will capture MIDI messages with gmidimon as soon as I have the time for it.
(0018248)
Some-E (reporter)
2016-06-11 06:05

I verified the problem with JACK setup as well.

Here is a video showing that even a single note will remain on at pressing STOP (no NOTE OFF):
https://www.youtube.com/watch?v=ivugtpTqhVI [^]

Here is a corresponding video showing that TRACK MUTE triggers NOTE OFF:
https://www.youtube.com/watch?v=KbgXmdG3gZ4 [^]
(0018249)
Some-E (reporter)
2016-06-12 01:05

I realised a "twist" in NOTE OFFs, why they are so important, why the notes get indefinitely stuck. It's because polyphonic synthesizers (at least hardware, at least Yamaha TG33, Yamaha MU128) can play the same note (overlapping) a number of times.

Turning all the voices of the key (MIDI NOTE) off requires sending as many NOTE OFF events for the same note as there were NOTE ON events.

Simple example of why this becomes an issue: have one long note in sequence, play the note, stop during the note, go back and play the note again -> that's a total of two NOTE ONs for the same key and no NOTE OFF. When playing to the end of the note, one NOTE OFF is sent. That still leaves one note playing.

As it's been said TRACK MUTE sends note offs but may miss them, seemingly randomly. I guess it has something to do with timing. I witnessed the same problem with MIDI event list when modifying the MIDI NOTE by scroll wheel on the mouse. Scrolling quickly enough some notes were left playing on the synthesizer, which means that note offs are missing.
(0018250)
Some-E (reporter)
2016-06-12 01:08

I can reproduce the issue described.
(0018331)
_FrnchFrgg_ (developer)
2016-07-30 04:01

I think this issue is fixed in Ardour 5.0rc1. The notes played are tracked correctly, and note off are sent
a) When starting/stopping the transport
b) When moving the play head (jumping)

On track mute, "ALL NOTE OFF" signals are sent, so if notes are missed it's probably the synthethiser's fault.

Also, midi note trackers in ardour *do* count the number of note-on and will send as many note off as there have been note ons.

Please check in Ardour 5rc1 if the issue is still there
(0020041)
Some-E (reporter)
2017-09-26 00:27

The same issue is reported in id 0002139, and it mentions the same problem in Ardour 5.4.

- Issue History
Date Modified Username Field Change
2016-05-21 08:47 cyril New Issue
2016-06-07 08:41 Some-E Note Added: 0018237
2016-06-07 09:01 Some-E File Added: Audio MIDI basic setup 2016 tests (no audio).zip
2016-06-07 09:04 Some-E Note Added: 0018238
2016-06-07 09:05 Some-E Tag Attached: Midi
2016-06-07 09:05 Some-E Tag Attached: notes
2016-06-07 09:05 Some-E Tag Attached: stop
2016-06-07 09:05 Some-E Tag Attached: transport
2016-06-08 23:57 Some-E Note Added: 0018244
2016-06-11 06:05 Some-E Note Added: 0018248
2016-06-12 01:05 Some-E Note Added: 0018249
2016-06-12 01:08 Some-E Note Added: 0018250
2016-06-12 01:08 Some-E Status new => confirmed
2016-07-30 04:01 _FrnchFrgg_ Note Added: 0018331
2016-07-30 04:01 _FrnchFrgg_ Status confirmed => feedback
2017-09-26 00:27 Some-E Note Added: 0020041


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker